# NOTICE: this spec file is retrieved from upper stream project(see libmodulemd.spec.in in Source0)
# and made some modifications.
Name:           libmodulemd
Version:        1.6.4
Release:        4
Summary:        C Library for manipulating module metadata files
License:        MIT
URL:            https://github.com/fedora-modularity/libmodulemd
Source0:        https://github.com/fedora-modularity/libmodulemd/releases/download/libmodulemd-%{version}/modulemd-%{version}.tar.xz

Patch9000:      libmodulemd-disable-valgrind-test-for-build.patch
BuildRequires:  meson pkgconfig gcc python3-gobject-base gobject-introspection-devel libxslt
%ifarch %{valgrind_arches}
BuildRequires: valgrind
%endif
BuildRequires:  pkgconfig(gobject-2.0) pkgconfig(gobject-introspection-1.0) pkgconfig(yaml-0.1) pkgconfig(gtk-doc)

%description
The libmodulemd API provides a number of convenience tools for 
interacting with repodata (that is, streams of YAML that contains 
information on multiple streams, default data and translations). 


%package devel
Summary:        Development files for libmodulemd
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libmodulemd.


%prep
%autosetup -p1 -n modulemd-%{version}


%build
%meson -Ddeveloper_build=false
%meson_build


%check

export LC_CTYPE=C.utf8

%meson_test


%install
%meson_install


%ldconfig_scriptlets


%files
%license COPYING
%doc README.md
%{_bindir}/modulemd-validator
%{_libdir}/%{name}.so.1*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Modulemd*


%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/modulemd.pc
%{_includedir}/modulemd/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Modulemd*
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/modulemd-1.0/

%changelog
* Fri Nov 22 2019 fangyufa<fangyufa1@huawei.com> - 1.6.4-4
- add buildrequires of libxslt(for x86_64) and disable valgrind test for build

* Mon Oct 28 2019 shenyangyang <shenyangyang4@huawei.com> - 1.6.4-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add build requires of gobject-introspection-devel to solve build problem

* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.4-2
- Package init
